Skip to content

Retrieve a list of all attachments on a specific object record.

GET/api/{version}/vobjects/{object_name}/{object_record_id}/attachments
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{object_name}The object name__v field value (product__v, country__v, custom_object__c, etc.).
{object_record_id}The object record id field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v19.2/vobjects/site__v/1357752909483/attachments
{ "responseStatus": "SUCCESS", "data": [ { "id": 558, "filename__v": "Site Contact List.docx", "description__v": "Facilities information and contacts", "format__v": "application/vnd.openxmlformats-officedocument.wordprocessingml.document", "size__v": 11450, "md5checksum__v": "9c6f61847207898ca98431d3e9ad176d", "version__v": 3, "created_by__v": 46916, "created_date__v": "2015-01-07T21:42:47.772Z", "versions": [ { "version__v": 1, "url": "https://myvault.veevavault.com/api/v19.2/vobjects/site__v/1357752909483/attachments/558/versions/1" }, { "version__v": 2, "url": "https://myvault.veevavault.com/api/v19.2/vobjects/site__v/1357752909483/attachments/558/versions/2" }, { "version__v": 3, "url": "https://myvault.veevavault.com/api/v19.2/vobjects/site__v/1357752909483/attachments/558/versions/3" } ] }, { "id": 571, "filename__v": "Site Area Map.png", "format__v": "image/png", "size__v": 109828, "md5checksum__v": "78b36d9602530e12051429e62558d581", "version__v": 1, "created_by__v": 46916, "created_date__v": "2015-01-16T22:28:44.039Z", "versions": [ { "version__v": 1, "url": "https://myvault.veevavault.com/api/v19.2/vobjects/site__v/1357752909483/attachments/571/versions/1" } ] } ] }

Shown above, the site__v object record has three versions of attachment id 558 and one version of attachment id 571. Attachment versioning uses integer numbers beginning with 1 and incrementing sequentially (1, 2, 3,...). There is no concept of major or minor version numbers with attachments.